Bug 1944138 (CVE-2021-21333) - CVE-2021-21333 matrix-synapse: HTML injection in email and account expiry notifications
Summary: CVE-2021-21333 matrix-synapse: HTML injection in email and account expiry not...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2021-21333
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1944139
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-29 11:40 UTC by Michael Kaplan
Modified: 2021-03-29 17:35 UTC (History)
2 users (show)

Fixed In Version: matrix-synapse 1.27.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-29 17:35:12 UTC


Attachments (Terms of Use)

Description Michael Kaplan 2021-03-29 11:40:58 UTC
In Synapse before version 1.27.0, the notification emails sent for notifications for missed messages or for an expiring account are subject to HTML injection. In the case of the notification for missed messages, this could allow an attacker to insert forged content into the email. The account expiry feature is not enabled by default and the HTML injection is not controllable by an attacker. This is fixed in version 1.27.0.

Comment 2 Michael Kaplan 2021-03-29 11:41:24 UTC
Created matrix-synapse tracking bugs for this issue:

Affects: fedora-all [bug 1944139]

Comment 3 Product Security DevOps Team 2021-03-29 17:35:12 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.